Constants (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.client

## Class Constants

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.client.Constants

-     public class Constants
      extends Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Constants.Mode`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `baseLayer`
    `static String` | `borderLayer`
    `static String[]` | `brightLayers`
    `static boolean` | `buttonSaveLayerEnabled`
    `static String` | `CSV`
    `static String[]` | `dataStoresWithTransect`
    `static String` | `defaultGroup`
    `static String` | `defaultGroup2`
    `static double` | `defaultOpacityLayers`
    `static String` | `defaultScope`
    `static String[][]` | `defaultStyleTransects`
    `static String` | `FAO_DATA_STORE`
    `static String` | `FAO_DATA_STORE_PREFIX`
    `static boolean` | `geoWindowDataPanelOpenedAtStart`
    `static int` | `geoWindowHeight`
    `static int` | `geoWindowMinHeight`
    `static int` | `geoWindowMinWidth`
    `static boolean` | `geoWindowShadow`
    `static String` | `geoWindowTitle`
    `static int` | `geoWindowWidth`
    `static boolean` | `getLayerTitles`
    `static String` | `hcafLegendWidth`
    `static boolean` | `isBorderLayerVisible`
    `static boolean` | `isOverViewMapVisible`
    `static boolean` | `isSaveButtonEnabled`
    `static String` | `JSON`
    `static boolean` | `layersDragEnabled`
    `protected static int` | `legendDialogMaxHeight`
    `protected static int` | `legendDialogWidth`
    `static int` | `mapPanelSpacingX`
    `static int` | `mapPanelSpacingY`
    `static int` | `MAX_WFS_FEATURES`
    `static String` | `MessageLoadingLayersData`
    `static Constants.Mode` | `MODE`
    `static int` | `omHeight`
    `static int` | `omMaxHeight`
    `static int` | `omMaxWidth`
    `static int` | `omWidth`
    `static int` | `openLayersMapDefaultZoom`
    `static String` | `panelsBodyStyle`
    `static boolean` | `printLog`
    `static String` | `TRUE_MARBLE_NAME`
    `static String` | `TRUE_MARBLE_TITLE`
    `static String` | `TRUE_MARBLE_URL`
    `static String` | `VERSION`
    `static String` | `WMS`
    `static String` | `WXS`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Constants()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `alert(String string, String string2)`
    `static void` | `info(String title, String text)`
    `static void` | `log(String s)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### VERSION

          public static String VERSION

    - #### defaultGroup

          public static String defaultGroup

    - #### defaultGroup2

          public static String defaultGroup2

    - #### printLog

          public static boolean printLog

    - #### defaultOpacityLayers

          public static final double defaultOpacityLayers

      See Also:
        Constant Field Values

    - #### brightLayers

          public static final String[] brightLayers

    - #### defaultStyleTransects

          public static final String[][] defaultStyleTransects

    - #### dataStoresWithTransect

          public static final String[] dataStoresWithTransect

    - #### borderLayer

          public static final String borderLayer

      See Also:
        Constant Field Values

    - #### baseLayer

          public static final String baseLayer

      See Also:
        Constant Field Values

    - #### isBorderLayerVisible

          public static boolean isBorderLayerVisible

    - #### MAX_WFS_FEATURES

          public static final int MAX_WFS_FEATURES

      See Also:
        Constant Field Values

    - #### geoWindowWidth

          public static final int geoWindowWidth

      See Also:
        Constant Field Values

    - #### geoWindowHeight

          public static final int geoWindowHeight

      See Also:
        Constant Field Values

    - #### geoWindowMinWidth

          public static final int geoWindowMinWidth

      See Also:
        Constant Field Values

    - #### geoWindowMinHeight

          public static final int geoWindowMinHeight

      See Also:
        Constant Field Values

    - #### geoWindowTitle

          public static final String geoWindowTitle

    - #### geoWindowShadow

          public static final boolean geoWindowShadow

      See Also:
        Constant Field Values

    - #### geoWindowDataPanelOpenedAtStart

          public static final boolean geoWindowDataPanelOpenedAtStart

      See Also:
        Constant Field Values

    - #### hcafLegendWidth

          public static final String hcafLegendWidth

      See Also:
        Constant Field Values

    - #### omHeight

          public static final int omHeight

      See Also:
        Constant Field Values

    - #### omWidth

          public static final int omWidth

      See Also:
        Constant Field Values

    - #### omMaxHeight

          public static final int omMaxHeight

      See Also:
        Constant Field Values

    - #### omMaxWidth

          public static final int omMaxWidth

      See Also:
        Constant Field Values

    - #### panelsBodyStyle

          public static final String panelsBodyStyle

      See Also:
        Constant Field Values

    - #### mapPanelSpacingX

          public static final int mapPanelSpacingX

      See Also:
        Constant Field Values

    - #### mapPanelSpacingY

          public static final int mapPanelSpacingY

      See Also:
        Constant Field Values

    - #### MessageLoadingLayersData

          public static final String MessageLoadingLayersData

      See Also:
        Constant Field Values

    - #### FAO_DATA_STORE

          public static final String FAO_DATA_STORE

      See Also:
        Constant Field Values

    - #### FAO_DATA_STORE_PREFIX

          public static final String FAO_DATA_STORE_PREFIX

      See Also:
        Constant Field Values

    - #### defaultScope

          public static final String defaultScope

      See Also:
        Constant Field Values

    - #### openLayersMapDefaultZoom

          public static int openLayersMapDefaultZoom

    - #### isOverViewMapVisible

          public static boolean isOverViewMapVisible

    - #### isSaveButtonEnabled

          public static boolean isSaveButtonEnabled

    - #### legendDialogMaxHeight

          protected static int legendDialogMaxHeight

    - #### legendDialogWidth

          protected static int legendDialogWidth

    - #### MODE

          public static Constants.Mode MODE

    - #### getLayerTitles

          public static boolean getLayerTitles

    - #### layersDragEnabled

          public static boolean layersDragEnabled

    - #### buttonSaveLayerEnabled

          public static boolean buttonSaveLayerEnabled

    - #### TRUE_MARBLE_TITLE

          public static final String TRUE_MARBLE_TITLE

      See Also:
        Constant Field Values

    - #### TRUE_MARBLE_NAME

          public static final String TRUE_MARBLE_NAME

      See Also:
        Constant Field Values

    - #### TRUE_MARBLE_URL

          public static final String TRUE_MARBLE_URL

      See Also:
        Constant Field Values

    - #### WXS

          public static final String WXS

      See Also:
        Constant Field Values

    - #### WMS

          public static final String WMS

      See Also:
        Constant Field Values

    - #### CSV

          public static final String CSV

      See Also:
        Constant Field Values

    - #### JSON

          public static final String JSON

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### Constants

          public Constants()

  - ### Method Detail

    - #### log

          public static void log(String s)

    - #### info

          public static void info(String title,
                  String text)

    - #### alert

          public static void alert(String string,
                   String string2)

Copyright © 2014. All Rights Reserved.